Bug 517223 - BUG: warning at /builddir/build/BUILD/kvm-83-maint-snapshot-20090205/kernel-/x86/x86.c:240/kvm_queue_exception_e() (Tainted: G )
Summary: BUG: warning at /builddir/build/BUILD/kvm-83-maint-snapshot-20090205/kernel-/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Eduardo Habkost
QA Contact: Lawrence Lim
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-13 05:18 UTC by lihuang
Modified: 2014-03-26 01:00 UTC (History)
8 users (show)

Fixed In Version: kvm-83-132.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 07:55:37 UTC


Attachments (Terms of Use)
full dmesg log (120.22 KB, text/plain)
2009-08-13 05:18 UTC, lihuang
no flags Details
/var/log/message (2.37 MB, text/plain)
2009-08-14 02:40 UTC, lihuang
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0271 normal SHIPPED_LIVE Important: kvm security, bug fix and enhancement update 2010-03-29 13:19:48 UTC

Description lihuang 2009-08-13 05:18:43 UTC
Created attachment 357271 [details]
full dmesg log

Description of problem:

When we clean the host's env. we found the CallTrace. before it. we did lots of testing on that host.so not very clearly how to reproduce .
the testing include :
1 boot/reboot large guest ( 8 vcpu. 64g RAM )
2 Live Migration.

Call Trace:
 [<ffffffff8827370a>] :kvm:kvm_arch_vcpu_ioctl_run+0x402/0x60b
 [<ffffffff88271061>] :kvm:kvm_queue_exception_e+0x43/0x64
 [<ffffffff8823e5e2>] :kvm_amd:handle_exit+0xe4/0x1f7
 [<ffffffff8826f108>] :kvm:kvm_vcpu_ioctl+0xf2/0x45d
 [<ffffffff80097b93>] __dequeue_signal+0x12d/0x193
 [<ffffffff8008be55>] default_wake_function+0x0/0xe
 [<ffffffff8827370a>] :kvm:kvm_arch_vcpu_ioctl_run+0x402/0x60b
 [<ffffffff800420ac>] do_ioctl+0x21/0x6b
 [<ffffffff800302ce>] vfs_ioctl+0x457/0x4b9
 [<ffffffff8826f108>] :kvm:kvm_vcpu_ioctl+0xf2/0x45d
 [<ffffffff8004c766>] sys_ioctl+0x59/0x78
 [<ffffffff8005d28d>] tracesys+0xd5/0xe0
 [<ffffffff8008be55>] default_wake_function+0x0/0xe

BUG: warning at /builddir/build/BUILD/kvm-83-maint-snapshot-20090205/kernel-/x86/x86.c:240/kvm_queue_exception_e() (Tainted: G     )
 [<ffffffff800420ac>] do_ioctl+0x21/0x6b

Call Trace:
 [<ffffffff800302ce>] vfs_ioctl+0x457/0x4b9
 [<ffffffff8004c766>] sys_ioctl+0x59/0x78
 [<ffffffff88271061>] :kvm:kvm_queue_exception_e+0x43/0x64
 [<ffffffff8005d28d>] tracesys+0xd5/0xe0
 [<ffffffff8823e5e2>] :kvm_amd:handle_exit+0xe4/0x1f7

BUG: warning at /builddir/build/BUILD/kvm-83-maint-snapshot-20090205/kernel-/x86/x86.c:240/kvm_queue_exception_e() (Tainted: G     )



Version-Release number of selected component (if applicable):
[root@amd-8356-32-3 ~]# rpm -q kvm
kvm-83-105.el5
[root@amd-8356-32-3 ~]# rpm -q kernel
kernel-2.6.18-162.el5
[root@amd-8356-32-3 ~]# cat /etc/redhat-release 
Red Hat Enterprise Virtualization Hypervisor release 5.4-2.0.99 (14.3)


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Host CPU :
processor       : 15
vendor_id       : AuthenticAMD
cpu family      : 16
model           : 2
model name      : Quad-Core AMD Opteron(tm) Processor 8356
stepping        : 3
cpu MHz         : 2300.084
cache size      : 512 KB
physical id     : 12
siblings        : 4
core id         : 3
cpu cores       : 4
apicid          : 51
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm 3dnowext 3dnow constant_tsc nonstop_tsc pni cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy altmovcr8 abm sse4a misalignsse 3dnowprefetch osvw
bogomips        : 4601.30
TLB size        : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate [8]

[root@amd-8356-32-3 ~]# cat /proc/meminfo 
MemTotal:     132171416 kB
MemFree:      121057572 kB
Buffers:        131232 kB
Cached:        1295432 kB
SwapCached:          0 kB
Active:        9939320 kB
Inactive:       847708 kB
HighTotal:           0 kB
HighFree:            0 kB
LowTotal:     132171416 kB
LowFree:      121057572 kB
SwapTotal:     2047992 kB
SwapFree:      2047992 kB
Dirty:              28 kB
Writeback:           0 kB
AnonPages:     9360096 kB
Mapped:          18028 kB
Slab:            88420 kB
PageTables:      22424 kB
NFS_Unstable:        0 kB
Bounce:              0 kB
CommitLimit:  68133700 kB
Committed_AS: 76502728 kB
VmallocTotal: 34359738367 kB
VmallocUsed:    442024 kB
VmallocChunk: 34359295819 kB
HugePages_Total:     0
HugePages_Free:      0
HugePages_Rsvd:      0
Hugepagesize:     2048 kB

Comment 1 Miya Chen 2009-08-13 06:06:18 UTC
Run the following cmd can cause this problem in the same host.

Cmd:
/usr/libexec/qemu-kvm -no-hpet -rtc-td-hack -drive file=win28k-32-virtio.raw,if=ide -cpu qemu64,+sse2 -m 64G -smp 4 -net nic,macaddr=20:20:20:90:00:35,model=rtl8139,vlan=0 -net tap,script=/etc/qemu-ifup,vlan=0 -net nic,macaddr=20:20:20:90:00:36,model=e1000,vlan=1 -net tap,script=/etc/qemu-ifup,vlan=1 -vnc :1

Actual result:
top - 06:04:25 up 20 min,  3 users,  load average: 1.53, 1.19, 0.83
Tasks: 266 total,   1 running, 265 sleeping,   0 stopped,   0 zombie
Cpu(s):  0.2%us,  3.9%sy,  0.0%ni, 94.7%id,  1.1%wa,  0.0%hi,  0.1%si,  0.0%st
Mem:  132171416k total,  2144888k used, 130026528k free,   130600k buffers
Swap:  2047992k total,        0k used,  2047992k free,   809356k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND                                                                                                                
 9701 root      15   0 64.5g 836m 3868 S 195.8  0.6   1:15.75 qemu-kvm

Comment 2 Miya Chen 2009-08-13 09:08:17 UTC
This problem can be reproduced in kvm-83-94.

Comment 3 Eduardo Habkost 2009-08-13 15:48:03 UTC
The log file is cropped in the beginning. Could you capture the very first error messages before the warnings start? If dmesg output is cropped, the messages should be logged on /var/log/messages.

Comment 4 lihuang 2009-08-13 16:16:17 UTC
FYI : the is another bug about failing to boot on Intel host :
https://bugzilla.redhat.com/show_bug.cgi?id=516545

Comment 5 lihuang 2009-08-13 16:18:28 UTC
(In reply to comment #3)
> The log file is cropped in the beginning. Could you capture the very first
> error messages before the warnings start? If dmesg output is cropped, the
> messages should be logged on /var/log/messages.  

It is a little later today, I will post the log tmr .

Thanks

Comment 6 lihuang 2009-08-14 02:40:18 UTC
Created attachment 357382 [details]
/var/log/message

Comment 7 Eduardo Habkost 2010-01-20 16:07:06 UTC
Sorry for taking so long to look into it.

The exception code being triggered may be because of the cr0 reset bug (https://bugzilla.redhat.com/show_bug.cgi?id=525699), that may impact vmexit handling when the guest is in real mode, in addition to the CPU hotplug case. Could you try to reproduce using kvm-83-132.el5 or later?

Comment 8 lihuang 2010-01-27 09:27:43 UTC
Hi Eduardo
  retest on the AMD 8356 box,can not reproduce with cli in comment#1 on kvm-83-152.el5. ( also did reboot/shutdown and general operation with the window guest,no calltrace was found)

Comment 9 Eduardo Habkost 2010-01-27 11:49:00 UTC
(In reply to comment #8)
> Hi Eduardo
>   retest on the AMD 8356 box,can not reproduce with cli in comment#1 on
> kvm-83-152.el5. ( also did reboot/shutdown and general operation with the
> window guest,no calltrace was found)    

Thanks. Moving back to ON_QA so it can follow the usual process.

Comment 11 errata-xmlrpc 2010-03-30 07:55:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0271.html


Note You need to log in before you can comment on or make changes to this bug.